<?php
// The function header by sending raw excel
header("Content-type: application/vnd-ms-excel");
 
// Defines the name of the export file "codelution-export.xls"
header("Content-Disposition: attachment; filename=data-mahasiswa.xls");
 
// Add data table
?>
<?php
	include "php_class/class_mysql.php";
	include "php_class/class_template.php";
	include "php_class/class_mahasiswa.php";
	include "php_class/class_grup.php";
	include "php_class/class_transaksi.php";
	
	$DataTransaksi = new DataTransaksi;
	$datagrup = new DataGrup;
	$DataMahasiswa = new DataMahasiswa;
	$DataTemplate = new DataTemplate;

							$angkatan = $_POST['angkatan'];
							$jurusan = $_POST['jurusan'];
							$tahun = date("y");
							$cetakjurusan = $jurusan;
							$klas = $_POST['klas'];
							
							
								if ($klas == ""){
									$cetakklas = 'Semua';	
								} else if ($klas == "121"){
									$cetakklas = 'Reguler';	
								} else if ($klas == '122'){
									$cetakklas = 'R. Sore - Eksekutif';	
								}
								
								if ($jurusan == "" ){
									$cetakjurusan = 'Semua';
									}					
								
								if ($angkatan == ""){
									$angkatan = $tahun;
									}								


?>


                          <table  border="1">
                             <thead>
                                <tr>
                                    <th>NO</th>
                                    <th>NPM</th>
                                    <th>Nama Mahasiswa</th>
                                    <th>Jurusan</th>
                                    <th>Tempat Lahir</th>
                                    <th>Tanggal Lahir</th>
                                    <th>Jenis Kelamin</th>
                                    <th>Agama</th>
                                    <th>Alamat</th>
                                    <th>No Telepon</th>
                                    <th>Email</th>
                                    <th>Asal Sekolah</th>
                                    <th>Status Perkawinan</th>
                                    <th>Status Pekerjaan</th>
                                    <th>Perusahaan</th>
                                    <th>Alamat Perusahaan</th>
                                    <th>Status Mahasiswa</th>
                                    <th>Perguruan Tinggi Asal</th>
                                    <th>Perguruan Tinggi</th>
                                    <th>Jenjang</th>
                                    <th>SKS yang diakui</th>

                                </tr>
                            </thead>
                            <tbody>
                            <?php
								$total = 0;
								$jumlahtotal = 0;
								$b = 0;
								$JumlahData = $DataMahasiswa->get_all_by_jurusan_angkatan('',$a,'jumlah', $jurusan, $angkatan, $klas);
                                if ($JumlahData<=0){
                                    echo "<tr class='odd gradeX'>";
                                    echo "<td>No Data</td>";
                                    echo "<td></td>";
                                    echo "<td></td>";
									echo "<td></td>";
                                    echo "</tr>";	
                                }else{
									for ($a=1;$a<=$JumlahData;$a++){
										$Nama = $DataMahasiswa->get_all_by_jurusan_angkatan('Nama',$a,'', $jurusan, $angkatan, $klas);
										$NPM = $DataMahasiswa->get_all_by_jurusan_angkatan('NPM',$a,'', $jurusan, $angkatan, $klas);
										$Jurusan = $DataMahasiswa->get_all_by_jurusan_angkatan('Jurusan',$a,'', $jurusan, $angkatan, $klas);
										$TempatLahir = $DataMahasiswa->get_all_by_jurusan_angkatan('TempatLahir',$a,'', $jurusan, $angkatan, $klas);
										$TglLahir = $DataMahasiswa->get_all_by_jurusan_angkatan('TglLahir',$a,'', $jurusan, $angkatan, $klas);
										$JenisKelamin = $DataMahasiswa->get_all_by_jurusan_angkatan('JenisKelamin',$a,'', $jurusan, $angkatan, $klas);
										$Agama = $DataMahasiswa->get_all_by_jurusan_angkatan('Agama',$a,'', $jurusan, $angkatan, $klas);
										$Alamat = $DataMahasiswa->get_all_by_jurusan_angkatan('Alamat',$a,'', $jurusan, $angkatan, $klas);
										$NoTelp = $DataMahasiswa->get_all_by_jurusan_angkatan('NoTelp',$a,'', $jurusan, $angkatan, $klas);
										$Email = $DataMahasiswa->get_all_by_jurusan_angkatan('Email',$a,'', $jurusan, $angkatan, $klas);
										$AsalSekolah = $DataMahasiswa->get_all_by_jurusan_angkatan('AsalSekolah',$a,'', $jurusan, $angkatan, $klas);
										$StatusPerkawinan = $DataMahasiswa->get_all_by_jurusan_angkatan('StatusPerkawinan',$a,'', $jurusan, $angkatan, $klas);
										$StatusPekerjaan = $DataMahasiswa->get_all_by_jurusan_angkatan('StatusPekerjaan',$a,'', $jurusan, $angkatan, $klas);
										$Perusahaan = $DataMahasiswa->get_all_by_jurusan_angkatan('Perusahaan',$a,'', $jurusan, $angkatan, $klas);
										$AlamatPerusahaan = $DataMahasiswa->get_all_by_jurusan_angkatan('AlamatPerusahaan',$a,'', $jurusan, $angkatan, $klas);
										$StatusMahasiswa = $DataMahasiswa->get_all_by_jurusan_angkatan('StatusMahasiswa',$a,'', $jurusan, $angkatan, $klas);
										$PerguruanTinggiAsal = $DataMahasiswa->get_all_by_jurusan_angkatan('PerguruanTinggiAsal',$a,'', $jurusan, $angkatan, $klas);
										$ProgramStudi = $DataMahasiswa->get_all_by_jurusan_angkatan('ProgramStudi',$a,'', $jurusan, $angkatan, $klas);
										$Jenjang = $DataMahasiswa->get_all_by_jurusan_angkatan('Jenjang',$a,'', $jurusan, $angkatan, $klas);
										$SKSDiakui = $DataMahasiswa->get_all_by_jurusan_angkatan('SKSDiakui',$a,'', $jurusan, $angkatan, $klas);

										$b	= $b + 1;
                                        echo "<tr id='".$NPM."' class='odd gradeX context'>";
                                        echo "<td>".$b."</td>";
                                        echo "<td>".$NPM."</td>";
                                        echo "<td>".$Nama."</td>";
										echo "<td>".$Jurusan."</td>";
                                        echo "<td>".$TempatLahir."</td>";
                                        echo "<td>".$TglLahir."</td>";
                                        echo "<td>".$JenisKelamin."</td>";
										echo "<td>".$Agama."</td>";
                                        echo "<td>".$Alamat."</td>";
                                        echo "<td>".$NoTelp."</td>";
                                        echo "<td>".$Email."</td>";
										echo "<td>".$AsalSekolah."</td>";
                                        echo "<td>".$StatusPerkawinan."</td>";
                                        echo "<td>".$StatusPekerjaan."</td>";
                                        echo "<td>".$Perusahaan."</td>";
										echo "<td>".$AlamatPerusahaan."</td>";
                                        echo "<td>".$StatusMahasiswa."</td>";
										echo "<td>".$PerguruanTinggiAsal."</td>";
                                        echo "<td>".$ProgramStudi."</td>";
                                        echo "<td>".$Jenjang."</td>";
                                        echo "<td>".$SKSDiakui."</td>";
                                        echo "</tr>";
                                    }
                                }
                            ?>
                            </tbody>
                          </table>
